org.jbpm.marshalling.impl

## Class JBPMMessages.Variable.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.Variable.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.VariableOrBuilder
  Enclosing class:
    JBPMMessages.Variable

      public static final class JBPMMessages.Variable.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>
      implements JBPMMessages.VariableOrBuilder

  Protobuf type `org.jbpm.marshalling.Variable`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.Variable.Builder` | `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.Variable` | `build()`
    `JBPMMessages.Variable` | `buildPartial()`
    `JBPMMessages.Variable.Builder` | `clear()`
    `JBPMMessages.Variable.Builder` | `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
    `JBPMMessages.Variable.Builder` | `clearName()` `optional string name = 1;`
    `JBPMMessages.Variable.Builder` | `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
    `JBPMMessages.Variable.Builder` | `clearStrategyIndex()` the actual object reference `optional int32 strategy_index = 2;`
    `JBPMMessages.Variable.Builder` | `clearValue()` `optional bytes value = 3;`
    `JBPMMessages.Variable.Builder` | `clone()`
    `JBPMMessages.Variable` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `String` | `getName()` `optional string name = 1;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 1;`
    `int` | `getStrategyIndex()` the actual object reference `optional int32 strategy_index = 2;`
    `com.google.protobuf.ByteString` | `getValue()` `optional bytes value = 3;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasStrategyIndex()` the actual object reference `optional int32 strategy_index = 2;`
    `boolean` | `hasValue()` `optional bytes value = 3;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.Variable.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.Variable.Builder` | `mergeFrom(JBPMMessages.Variable other)`
    `JBPMMessages.Variable.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.Variable.Builder` | `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.Variable.Builder` | `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.Variable.Builder` | `setName(String value)` `optional string name = 1;`
    `JBPMMessages.Variable.Builder` | `setNameBytes(com.google.protobuf.ByteString value)` `optional string name = 1;`
    `JBPMMessages.Variable.Builder` | `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
    `JBPMMessages.Variable.Builder` | `setStrategyIndex(int value)` the actual object reference `optional int32 strategy_index = 2;`
    `JBPMMessages.Variable.Builder` | `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.Variable.Builder` | `setValue(com.google.protobuf.ByteString value)` `optional bytes value = 3;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### clear

          public JBPMMessages.Variable.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.Variable getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.Variable build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.Variable buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.Variable.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### setField

          public JBPMMessages.Variable.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### clearField

          public JBPMMessages.Variable.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### clearOneof

          public JBPMMessages.Variable.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### setRepeatedField

          public JBPMMessages.Variable.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                int index,
                                                                Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### addRepeatedField

          public JBPMMessages.Variable.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### mergeFrom

          public JBPMMessages.Variable.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.Variable.Builder>`

    - #### mergeFrom

          public JBPMMessages.Variable.Builder mergeFrom(JBPMMessages.Variable other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### mergeFrom

          public JBPMMessages.Variable.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.Variable.Builder>`
      Throws:
        `IOException`

    - #### hasName

          public boolean hasName()

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `JBPMMessages.VariableOrBuilder`

    - #### getName

          public String getName()

      `optional string name = 1;`
      Specified by:
        `getName` in interface `JBPMMessages.VariableOrBuilder`

    - #### getNameBytes

          public com.google.protobuf.ByteString getNameBytes()

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `JBPMMessages.VariableOrBuilder`

    - #### setName

          public JBPMMessages.Variable.Builder setName(String value)

      `optional string name = 1;`

    - #### clearName

          public JBPMMessages.Variable.Builder clearName()

      `optional string name = 1;`

    - #### setNameBytes

          public JBPMMessages.Variable.Builder setNameBytes(com.google.protobuf.ByteString value)

      `optional string name = 1;`

    - #### hasStrategyIndex

          public boolean hasStrategyIndex()

           the actual object reference

      `optional int32 strategy_index = 2;`
      Specified by:
        `hasStrategyIndex` in interface `JBPMMessages.VariableOrBuilder`

    - #### getStrategyIndex

          public int getStrategyIndex()

           the actual object reference

      `optional int32 strategy_index = 2;`
      Specified by:
        `getStrategyIndex` in interface `JBPMMessages.VariableOrBuilder`

    - #### setStrategyIndex

          public JBPMMessages.Variable.Builder setStrategyIndex(int value)

           the actual object reference

      `optional int32 strategy_index = 2;`

    - #### clearStrategyIndex

          public JBPMMessages.Variable.Builder clearStrategyIndex()

           the actual object reference

      `optional int32 strategy_index = 2;`

    - #### hasValue

          public boolean hasValue()

      `optional bytes value = 3;`
      Specified by:
        `hasValue` in interface `JBPMMessages.VariableOrBuilder`

    - #### getValue

          public com.google.protobuf.ByteString getValue()

      `optional bytes value = 3;`
      Specified by:
        `getValue` in interface `JBPMMessages.VariableOrBuilder`

    - #### setValue

          public JBPMMessages.Variable.Builder setValue(com.google.protobuf.ByteString value)

      `optional bytes value = 3;`

    - #### clearValue

          public JBPMMessages.Variable.Builder clearValue()

      `optional bytes value = 3;`

    - #### setUnknownFields

          public final JBPMMessages.Variable.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.Variable.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.Variable.Builder>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.